@import "description.scss";

.grz__enter {
    display: flex;
    width: 315px;
    height: 60px;
    border-radius: 10px;
    box-sizing: border-box;
    border: 2px solid $color-additional;
    position: relative;
    overflow: hidden;
    transition: border 0.2s ease-out;
    @include desktop-small {
      width: 260px;
    }
    @include tablet {
      margin-bottom: 30px;
    }
    @include mobile {
      margin-bottom: 20px;
      width: 315px;
    }
    @include mobile-small {
      width: 280px;
    }
    &::before {
      position: absolute;
      content: "";
      display: block;
      height: 6px;
      width: 6px;
      background-color: $color-additional;
      border-radius: 3px;
      top: 27px;
      left: 8px;
      z-index: 1;
    }
    &::after {
      position: absolute;
      content: "";
      display: block;
      height: 6px;
      width: 6px;
      background-color: $color-additional;
      border-radius: 3px;
      top: 27px;
      right: 8px;
      z-index: 1;
    }
  }

.common__input {
    outline: none;
    margin: 0;
    font-size: 24px;
    line-height: 30px;
    color: $color-text-main;
    font-family: "Manrope", sans-serif;
    border: none;
    font-weight: 600;
    box-sizing: border-box;
    z-index: 0;
    border-radius: 0;
    height: 58px;
    &::placeholder {
      color: $color-additional;
    }
  }
  .grz__input {
    position: absolute;
    left: 0;
    width: 65%;
    padding: 14px 20px 14px 30px;
    @include desktop-small {
      width: 60%;
      padding: 14px 20px 14px 25px;
    }
  }
  .region__input {
    position: absolute;
    right: 0;
    width: 35%;
    padding: 14px 30px 14px 20px;
    border-left: 2px solid $color-additional;
    transition: border 0.2s ease-out;
    @include desktop-small {
      width: 40%;
    }
  }
  